Info Cancel non active package (without proxies), also money receives back) Package

A list of all publicly available methods for interacting with the API.

GET

Get packages list Info Get active packages list Package -/package/list

Query method

GEThttps://api.stableproxy.com/v2/package/list

Query parameters

IdentifierRegulationsExample
with-deletedNot necessarilynullableex-booleanfalse
searchNot necessarilynullablestring241
per-pageNot necessarilynullableinteger82
pageNot necessarilynullableinteger33
sort-byNot necessarilynullablestringapp\_validators\_ex_in_rule""
sort-orderNot necessarilynullablestringin:asc, desc"asc"

Code examples

async function getPackageList() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/list?' + Object.entries({
         "with-deleted": false,
         "search": 241,
         "per-page": 82,
         "page": 33,
         "sort-by": "",
         "sort-order": "asc"
      }).map(([key, value]) => key + "=" + value).join('&'), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

DELETE

Cancel non activate package Info Cancel non active package (without proxies), also money receives back) Package -/package/cancel/{id}

Query method

DELETEhttps://api.stableproxy.com/v2/package/cancel/{id}

Query parameters

IdentifierRegulationsExample
id1required33

Code examples

async function deletePackageCancel() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/cancel/{id}'
      .replace("{id}", 33), {
         method: 'DELETE',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get package information Info Same as list but fetch only one. Package -/package/view/{id}

Query method

GEThttps://api.stableproxy.com/v2/package/view/{id}

Query parameters

IdentifierRegulationsExample
id1required3

Code examples

async function getPackageView() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/view/{id}'
      .replace("{id}", 3), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Statistics Info Package -/package/statistics/{id}

Query method

GEThttps://api.stableproxy.com/v2/package/statistics/{id}

Code examples

async function getPackageStatistics() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/statistics/{id}'
      .replace("{id}", ""), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers